<?php

namespace app\models;

use Yii;
use yii\base\Model;
use yii\data\ActiveDataProvider;
use app\models\MesaInvitado;

/**
 * app\models\MesaInvitadoSearch represents the model behind the search form about `app\models\MesaInvitado`.
 */
 class MesaInvitadoSearch extends MesaInvitado
{
    /**
     * @inheritdoc
     */
    public function rules()
    {
        return [
            [['id', 'id_mesa', 'id_invitado'], 'integer'],
        ];
    }

    /**
     * @inheritdoc
     */
    public function scenarios()
    {
        // bypass scenarios() implementation in the parent class
        return Model::scenarios();
    }

    /**
     * Creates data provider instance with search query applied
     *
     * @param array $params
     *
     * @return ActiveDataProvider
     */
    public function search($params)
    {
        $query = MesaInvitado::find();

        $dataProvider = new ActiveDataProvider([
            'query' => $query,
        ]);

        $this->load($params);

        if (!$this->validate()) {
            // uncomment the following line if you do not want to return any records when validation fails
            // $query->where('0=1');
            return $dataProvider;
        }

        $query->andFilterWhere([
            'id' => $this->id,
            'id_mesa' => $this->id_mesa,
            'id_invitado' => $this->id_invitado,
        ]);

        return $dataProvider;
    }
}
