/*!
 * @package   yii2-editable
 * @author    Kartik Visweswaran <kartikv2@gmail.com>
 * @copyright Copyright &copy; Kartik Visweswaran, Krajee.com, 2015 - 2017
 * @version   1.7.6
 *
 * Editable Extension jQuery plugin
 *
 * Built for Yii Framework 2.0
 * Author: Kartik Visweswaran
 * Year: 2015
 * For more Yii related demos visit http://demos.krajee.com
 */!function(e){"use strict";var t=".editable",i=function(t,i){return null===t||void 0===t||0===t.length||i&&""===e.trim(t)},o=function(e,t){e.removeClass(t).addClass(t)},n=function(e,i,o){var n=i+t;e.off(n).on(n,o)},a=function(t,i,o){var n=e.Event(i);return void 0!==o?t.trigger(n,o):t.trigger(n),!n.isDefaultPrevented()},r=function(t,i){var o=this;o.$container=e(t),o.init(i),o.destroy(),o.create()};r.prototype={constructor:r,init:function(t){var i=this,o=i.$container;i.$input=o.find(".kv-editable-input"),i.$form=o.find(".kv-editable-form"),i.$value=o.find(".kv-editable-value"),i.$close=o.find(".kv-editable-close"),i.$popover=o.find(".kv-editable-popover"),i.$inline=o.find(".kv-editable-inline"),i.$btnSubmit=o.find("button.kv-editable-submit"),i.$btnReset=o.find("button.kv-editable-reset"),i.$loading=o.find(".kv-editable-loading"),i.$target=o.find(t.target),e.each(t,function(e,t){i[e]=t}),i.$targetEl=".kv-editable-button"===i.target?i.$target:i.$value,i.initActions()},initActions:function(){var t,n=this,r=n.$form,l=r.parent(),s=n.$container,c=n.$inline,u=n.$loading,f=n.$input,d="",v="",p=r.data("yiiActiveForm"),m=f.closest(".field-"+f.attr("id")),h=m.find(".help-block"),b=f.closest(".kv-editable-parent"),g=n.displayValueConfig,k=r.find('input[name="hasEditable"]'),y=i(m.attr("class"))||i(h.attr("class")),$=b.find(".kv-help-block");t=function(t){y?($.length||($=e(document.createElement("div")).attr({"class":"help-block kv-help-block"}).appendTo(b)),$.html(t).show()):(o(h,"kv-help-block"),h.html(t).show()),o(b,"has-error"),u.hide(),l.removeClass("kv-editable-processing")},n.actions={formReset:function(){setTimeout(function(){r.data("kvEditableSubmit",!1),y?(b.find(".help-block").remove(),b.removeClass("has-error")):(m.removeClass("has-error"),h.html(" ")),n.refreshPopover()},n.resetDelay)},formSubmit:function(e){e.preventDefault()},formChange:function(){a(s,"editableChange",[f.val()])&&n.refreshPopover()},formKeyup:function(e){13===e.which&&n.submitOnEnter&&(n.submitFlag=!0,n.actions.submitClick())},formBlur:function(e){var t=e.delegateTarget;setTimeout(function(){t.contains(document.activeElement)||n.submitFlag||!n.closeOnBlur||n.toggle(!1)},0)},inlineKeyup:function(e){27===e.which&&n.actions.closeClick()},closeClick:function(){n.toggle(!1)},targetClick:function(){var e;return n.submitFlag=!1,n.asPopover?void n.toggle(!0):(e=!c.is(":visible"),void n.toggle(e))},resetClick:function(){a(s,"editableReset")&&(k.val(0),setTimeout(function(){r[0].reset()},n.resetDelay))},submitClick:function(){var C,x=n.asPopover?l:c,E=!1;o(x,"kv-editable-processing"),u.show(),k.val(1),r.find(".help-block").each(function(){e(this).html("")}),r.find(".has-error").removeClass("has-error"),r.find("input, select").each(function(){var t=e(this),i=t.val(),o=i,n="file"===t.attr("type");E||(E=n),t.attr("disabled")||(n?a(t,"blur"):(e.isArray(i)?o.push("-"):o+="-",t.val(o),a(t,"blur"),t.val(i),a(t,"blur")))}),C={type:r.attr("method"),url:r.attr("action"),dataType:"json",beforeSend:function(e){a(s,"editableBeforeSubmit",[e])||e.abort()},error:function(e,i,o){a(s,"editableAjaxError",[e,i,o])&&n.showAjaxErrors&&t(o)},success:function(o,l,c){return d="",v=i(o.output)?n.htmlEncode(f.val()):o.output,n.refreshPopover(),i(o.message)?(i($.attr("class"))||(m.removeClass("has-error"),$.html("").hide(),h.html("")),r.find(".help-block").each(function(){var t=e(this).text();d+=t?t.trim():"",i(d)||u.hide()}),i(d)?a(s,"editableSuccess",[f.val(),r,o,l,c])&&(u.hide(),i(v)?v=n.valueIfNull:void 0!==g[v]&&(v=g[v]),y?(b.find(".help-block").remove(),b.removeClass("has-error"),h.html(""),n.toggle(!1),n.$value.html(v)):(m.removeClass("has-error"),h.html(""),n.toggle(!1),n.$value.html(v),p&&(r.yiiActiveForm("destroy"),r.yiiActiveForm(p.attributes,p.settings)))):a(s,"editableError",[f.val(),r,o]),void x.removeClass("kv-editable-processing")):void(a(s,"editableError",[f.val(),r,o])&&t(o.message))}},E&&window.FormData?(r.attr("enctype","multipart/form-data"),C.data=new FormData(r[0]),C.contentType=!1,C.processData=!1,C.cache=!1):C.data=r.serialize(),setTimeout(function(){a(s,"editableSubmit",[f.val(),r])&&e.ajax(e.extend(!0,C,n.ajaxSettings))},n.validationDelay)}}},htmlEncode:function(t){var i=this;return i.encodeOutput?("object"==typeof t&&e.each(t,function(e,o){t[e]=i.htmlEncode(o)}),t.replace(/&/g,"&amp;").replace(/</g,"&lt;").replace(/>/g,"&gt;").replace(/"/g,"&quot;").replace(/'/g,"&apos;")):t},toggle:function(e){var t=this,i=t.$value,n=t.$inline,a=t.animationDelay,r=function(){t.$btnSubmit.focus(),t.selectAllOnEdit&&t.$input.select()};return e?t.asPopover?void r():void i.fadeOut(a,function(){n.fadeIn(a,function(){r()}),".kv-editable-button"===t.target&&o(t.$target,"kv-inline-open")}):void(t.asPopover?t.$popover.popoverX("hide"):n.fadeOut(a,function(){i.fadeIn(a),t.$target.removeClass("kv-inline-open")}))},refreshPopover:function(){var e=this;e.asPopover&&e.$popover.popoverX("refreshPosition")},destroy:function(){var e=this;e.$form.off(t),e.$form.find("input, select").off(t),e.$close.off(t),e.$inline.off(t),e.$popover.off(t),e.$btnSubmit.off(t),e.$btnReset.off(t),e.$targetEl.off(t)},create:function(){var t=this,i=t.actions,o=t.$form,a=t.$inline;n(o,"reset",e.proxy(i.formReset,t)),n(o,"submit",e.proxy(i.formSubmit,t)),n(o.find("input, select"),"change",e.proxy(i.formChange,t)),n(o,"keyup",e.proxy(i.formKeyup,t)),t.asPopover?n(t.$popover,"focusout",e.proxy(i.formBlur,t)):(n(a,"keyup",e.proxy(i.inlineKeyup,t)),n(a,"focusout",e.proxy(i.formBlur,t))),n(t.$btnReset,"click",e.proxy(i.resetClick,t)),n(t.$btnSubmit,"click",e.proxy(i.submitClick,t)),n(t.$close,"click",e.proxy(i.closeClick,t)),n(t.$targetEl,"click",e.proxy(i.targetClick,t))}},e.fn.editable=function(t){var i=Array.apply(null,arguments);return i.shift(),this.each(function(){var o=e(this),n=o.data("editable"),a="object"==typeof t&&t;n||(n=new r(this,e.extend({},e.fn.editable.defaults,a,e(this).data())),o.data("editable",n)),"string"==typeof t&&n[t].apply(n,i)})},e.fn.editable.defaults={valueIfNull:"<em>(not set)</em>",placement:"right",displayValueConfig:{},ajaxSettings:{},showAjaxErrors:!0,submitOnEnter:!0,selectAllOnEdit:!0,asPopover:!0,encodeOutput:!0,closeOnBlur:!0,validationDelay:500,resetDelay:200,animationDelay:300},e.fn.editable.Constructor=r}(window.jQuery);